Bug 404 - adding nmigen-soc as a dependency needs documentation updated
Summary: adding nmigen-soc as a dependency needs documentation updated
Status: RESOLVED FIXED
Alias: None
Product: Libre-SOC Website
Classification: Unclassified
Component: website (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- enhancement
Assignee: Cole Poirier
URL:
Depends on:
Blocks:
 
Reported: 2020-06-25 15:33 BST by Luke Kenneth Casson Leighton
Modified: 2020-12-02 20:38 GMT (History)
1 user (show)

See Also:
NLnet milestone: NLNet.2019.10.Wishbone
total budget (EUR) for completion of task and all subtasks: 100
budget (EUR) for this task, excluding subtasks' budget: 100
parent task for budget allocation: 384
child tasks for budget allocation:
The table of payments (in EUR) for this task; TOML format:
"cole"={amount=100,submitted=2020-09-20,paid=2020-10-01}


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Kenneth Casson Leighton 2020-06-25 15:33:42 BST
nmigen-soc has been added to soc setup.py as a dependency.  all documentation
now needs updating to reflect that.  also the dev-scripts need updating.
Comment 1 Cole Poirier 2020-07-12 21:47:02 BST
(In reply to Luke Kenneth Casson Leighton from comment #0)
> nmigen-soc has been added to soc setup.py as a dependency.  all documentation
> now needs updating to reflect that.  also the dev-scripts need updating.

Just updated dev-env-setup/hdl-dev-repos with nmigen-soc installation (setup.py develop).

Also scripted using a known-working nmigen version until <https://github.com/nmigen/nmigen/issues/429> is resolved.

At the end of the script the following is printed in bolded red letters:
```
Using nmigen version 303ea18cb60567e45a755c6b6289a601f27d46e6 until https://github.com/nmigen/nmigen/issues/429 is resolved.
```

Going to update a few things in the documentation now.
Comment 2 Luke Kenneth Casson Leighton 2020-07-12 22:10:02 BST
(In reply to Cole Poirier from comment #1)

> Also scripted using a known-working nmigen version until
> <https://github.com/nmigen/nmigen/issues/429> is resolved.

i spoke with whitequark and she knows what's causing it.
 
> At the end of the script the following is printed in bolded red letters:
> ```
> Using nmigen version 303ea18cb60567e45a755c6b6289a601f27d46e6 until
> https://github.com/nmigen/nmigen/issues/429 is resolved.

ah fantastic.
Comment 3 Cole Poirier 2020-07-13 20:08:59 BST
(In reply to Luke Kenneth Casson Leighton from comment #2)
> (In reply to Cole Poirier from comment #1)
> > At the end of the script the following is printed in bolded red letters:
> > ```
> > Using nmigen version 303ea18cb60567e45a755c6b6289a601f27d46e6 until
> > https://github.com/nmigen/nmigen/issues/429 is resolved.
> 
> ah fantastic.

I have removed this from the script as nmigen issue #429 has been resolved by a pull request from jacob.
Comment 4 Cole Poirier 2020-07-13 20:13:52 BST
I plan on marking this bug as resolved after I have updated the documentation.
Comment 5 Cole Poirier 2020-07-28 00:06:43 BST
Documentation and script are done. Closing.
Comment 6 Cole Poirier 2020-09-15 20:00:50 BST
Update budget allocations and parent task for budget allocations per http://lists.libre-soc.org/pipermail/libre-soc-dev/2020-September/000536.html